package mapper

import (
	"campaign-pool-be/app/database/entity"
	res "campaign-pool-be/app/module/campaign_types/response"
)

func CampaignTypesResponseMapper(campaignTypesReq *entity.CampaignTypes) (campaignTypesRes *res.CampaignTypesResponse) {
	if campaignTypesReq != nil {
		campaignTypesRes = &res.CampaignTypesResponse{
			ID:          campaignTypesReq.ID,
			Name:        campaignTypesReq.Name,
			Description: campaignTypesReq.Description,
			CreatedAt:   campaignTypesReq.CreatedAt,
			UpdatedAt:   campaignTypesReq.UpdatedAt,
		}
	}
	return campaignTypesRes
}

